Package org.jboss.resteasy.plugins.server.servlet

## Interface ResteasyContextParameters

-     public interface ResteasyContextParameters

  constant names of resteasy configuration variables within a servlet
  Version:
    $Revision: 1 $
  Author:
    Bill Burke

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `RESTEASY_ADD_CHARSET` |
    `static String` | `RESTEASY_CONTEXT_OBJECTS` |
    `static String` | `RESTEASY_DEPLOYMENTS` |
    `static String` | `RESTEASY_DISABLE_DTDS` |
    `static String` | `RESTEASY_DISABLE_HTML_SANITIZER` |
    `static String` | `RESTEASY_EXPAND_ENTITY_REFERENCES` |
    `static String` | `RESTEASY_FAIL_FAST_ON_MULTIPLE_RESOURCES_MATCHING` |
    `static String` | `RESTEASY_GZIP_MAX_INPUT` |
    `static String` | `RESTEASY_JNDI_COMPONENT_RESOURCES` |
    `static String` | `RESTEASY_JNDI_RESOURCES` |
    `static String` | `RESTEASY_LANGUAGE_MAPPINGS` |
    `static String` | `RESTEASY_MATCH_CACHE_ENABLED` |
    `static String` | `RESTEASY_MATCH_CACHE_SIZE` |
    `static String` | `RESTEASY_MEDIA_TYPE_MAPPINGS` |
    `static String` | `RESTEASY_MEDIA_TYPE_PARAM_MAPPING` |
    `static String` | `RESTEASY_ORIGINAL_WEBAPPLICATIONEXCEPTION_BEHAVIOR` |
    `static String` | `RESTEASY_PATCH_FILTER_DISABLED` |
    `static String` | `RESTEASY_PATCH_FILTER_LEGACY` |
    `static String` | `RESTEASY_PREFER_JACKSON_OVER_JSONB` |
    `static String` | `RESTEASY_PROVIDERS` |
    `static String` | `RESTEASY_PROXY_IMPLEMENT_ALL_INTERFACES` |
    `static String` | `RESTEASY_RESOURCES` |
    `static String` | `RESTEASY_ROLE_BASED_SECURITY` |
    `static String` | `RESTEASY_SCAN` |
    `static String` | `RESTEASY_SCAN_PROVIDERS` |
    `static String` | `RESTEASY_SCAN_RESOURCES` |
    `static String` | `RESTEASY_SCANNED_BY_DEPLOYER` |
    `static String` | `RESTEASY_SCANNED_JNDI_RESOURCES` |
    `static String` | `RESTEASY_SCANNED_PROVIDERS` |
    `static String` | `RESTEASY_SCANNED_RESOURCE_CLASSES_WITH_BUILDER` |
    `static String` | `RESTEASY_SCANNED_RESOURCES` |
    `static String` | `RESTEASY_SECURE_PROCESSING_FEATURE` |
    `static String` | `RESTEASY_SECURE_RANDOM_MAX_USE` |
    `static String` | `RESTEASY_SERVLET_MAPPING_PREFIX` |
    `static String` | `RESTEASY_STATISTICS_ENABLED` |
    `static String` | `RESTEASY_TRACING_INSTANCE` |
    `static String` | `RESTEASY_TRACING_LEVEL_SUMMARY` |
    `static String` | `RESTEASY_TRACING_LEVEL_TRACE` |
    `static String` | `RESTEASY_TRACING_LEVEL_VERBOSE` |
    `static String` | `RESTEASY_TRACING_THRESHOLD` | Set level of tracing information.
    `static String` | `RESTEASY_TRACING_TYPE` | Enable tracing support.
    `static String` | `RESTEASY_TRACING_TYPE_ALL` |
    `static String` | `RESTEASY_TRACING_TYPE_OFF` |
    `static String` | `RESTEASY_TRACING_TYPE_ON_DEMAND` |
    `static String` | `RESTEASY_UNWRAPPED_EXCEPTIONS` |
    `static String` | `RESTEASY_USE_BUILTIN_PROVIDERS` |
    `static String` | `RESTEASY_USE_CONTAINER_FORM_PARAMS` |
    `static String` | `RESTEASY_WIDER_REQUEST_MATCHING` |

- - ### Field Detail

    - #### RESTEASY_PROVIDERS

          static final String RESTEASY_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_USE_BUILTIN_PROVIDERS

          static final String RESTEASY_USE_BUILTIN_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_SCAN_PROVIDERS

          static final String RESTEASY_SCAN_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_SCAN

          static final String RESTEASY_SCAN

      See Also:
        Constant Field Values

    - #### RESTEASY_SCAN_RESOURCES

          static final String RESTEASY_SCAN_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_JNDI_RESOURCES

          static final String RESTEASY_JNDI_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_RESOURCES

          static final String RESTEASY_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_MEDIA_TYPE_MAPPINGS

          static final String RESTEASY_MEDIA_TYPE_MAPPINGS

      See Also:
        Constant Field Values

    - #### RESTEASY_LANGUAGE_MAPPINGS

          static final String RESTEASY_LANGUAGE_MAPPINGS

      See Also:
        Constant Field Values

    - #### RESTEASY_MEDIA_TYPE_PARAM_MAPPING

          static final String RESTEASY_MEDIA_TYPE_PARAM_MAPPING

      See Also:
        Constant Field Values

    - #### RESTEASY_ROLE_BASED_SECURITY

          static final String RESTEASY_ROLE_BASED_SECURITY

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_BY_DEPLOYER

          static final String RESTEASY_SCANNED_BY_DEPLOYER

      See Also:
        Constant Field Values

    - #### RESTEASY_JNDI_COMPONENT_RESOURCES

          static final String RESTEASY_JNDI_COMPONENT_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_UNWRAPPED_EXCEPTIONS

          static final String RESTEASY_UNWRAPPED_EXCEPTIONS

      See Also:
        Constant Field Values

    - #### RESTEASY_EXPAND_ENTITY_REFERENCES

          static final String RESTEASY_EXPAND_ENTITY_REFERENCES

      See Also:
        Constant Field Values

    - #### RESTEASY_SECURE_PROCESSING_FEATURE

          static final String RESTEASY_SECURE_PROCESSING_FEATURE

      See Also:
        Constant Field Values

    - #### RESTEASY_DISABLE_DTDS

          static final String RESTEASY_DISABLE_DTDS

      See Also:
        Constant Field Values

    - #### RESTEASY_GZIP_MAX_INPUT

          static final String RESTEASY_GZIP_MAX_INPUT

      See Also:
        Constant Field Values

    - #### RESTEASY_SECURE_RANDOM_MAX_USE

          static final String RESTEASY_SECURE_RANDOM_MAX_USE

      See Also:
        Constant Field Values

    - #### RESTEASY_ADD_CHARSET

          static final String RESTEASY_ADD_CHARSET

      See Also:
        Constant Field Values

    - #### RESTEASY_DISABLE_HTML_SANITIZER

          static final String RESTEASY_DISABLE_HTML_SANITIZER

      See Also:
        Constant Field Values

    - #### RESTEASY_ORIGINAL_WEBAPPLICATIONEXCEPTION_BEHAVIOR

          static final String RESTEASY_ORIGINAL_WEBAPPLICATIONEXCEPTION_BEHAVIOR

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_TYPE

          static final String RESTEASY_TRACING_TYPE

      Enable tracing support.

      It allows service developer to get diagnostic information about request processing by RESTEasy. Those diagnostic/tracing information are returned in response headers (`X-RESTEasy-Tracing-nnn`). The feature should not be switched on on production environment.

      Allowed values:

      - `OFF` - tracing support is disabled.
      - `ON_DEMAND` - tracing support is in 'stand by' mode, it is enabled on demand by existence of request HTTP header
      - `ALL` - tracing support is enabled for every request.
      Type of the property value is `String`. The default value is `"OFF"`.

      The name of the configuration property is `"resteasy.server.tracing.type"`.

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_TYPE_OFF

          static final String RESTEASY_TRACING_TYPE_OFF

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_TYPE_ALL

          static final String RESTEASY_TRACING_TYPE_ALL

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_TYPE_ON_DEMAND

          static final String RESTEASY_TRACING_TYPE_ON_DEMAND

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_THRESHOLD

          static final String RESTEASY_TRACING_THRESHOLD

      Set level of tracing information.

      The property allows to set application default level o diagnostic information. Tracing level can be changed for each request by specifying request HTTP header `X-RESTEasy-Tracing-Threshold`.

      Allowed values:

      - `SUMMARY`
      - `TRACE`
      - `VERBOSE`
      Type of the property value is `String`. The default value is `"TRACE"`.

      The name of the configuration property is `"resteasy.server.tracing.threshold"`.

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_LEVEL_SUMMARY

          static final String RESTEASY_TRACING_LEVEL_SUMMARY

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_LEVEL_TRACE

          static final String RESTEASY_TRACING_LEVEL_TRACE

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_LEVEL_VERBOSE

          static final String RESTEASY_TRACING_LEVEL_VERBOSE

      See Also:
        Constant Field Values

    - #### RESTEASY_TRACING_INSTANCE

          static final String RESTEASY_TRACING_INSTANCE

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_RESOURCES

          static final String RESTEASY_SCANNED_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_RESOURCE_CLASSES_WITH_BUILDER

          static final String RESTEASY_SCANNED_RESOURCE_CLASSES_WITH_BUILDER

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_PROVIDERS

          static final String RESTEASY_SCANNED_PROVIDERS

      See Also:
        Constant Field Values

    - #### RESTEASY_SCANNED_JNDI_RESOURCES

          static final String RESTEASY_SCANNED_JNDI_RESOURCES

      See Also:
        Constant Field Values

    - #### RESTEASY_CONTEXT_OBJECTS

          static final String RESTEASY_CONTEXT_OBJECTS

      See Also:
        Constant Field Values

    - #### RESTEASY_USE_CONTAINER_FORM_PARAMS

          static final String RESTEASY_USE_CONTAINER_FORM_PARAMS

      See Also:
        Constant Field Values

    - #### RESTEASY_DEPLOYMENTS

          static final String RESTEASY_DEPLOYMENTS

      See Also:
        Constant Field Values

    - #### RESTEASY_SERVLET_MAPPING_PREFIX

          static final String RESTEASY_SERVLET_MAPPING_PREFIX

      See Also:
        Constant Field Values

    - #### RESTEASY_WIDER_REQUEST_MATCHING

          static final String RESTEASY_WIDER_REQUEST_MATCHING

      See Also:
        Constant Field Values

    - #### RESTEASY_PREFER_JACKSON_OVER_JSONB

          static final String RESTEASY_PREFER_JACKSON_OVER_JSONB

      See Also:
        Constant Field Values

    - #### RESTEASY_PATCH_FILTER_DISABLED

          static final String RESTEASY_PATCH_FILTER_DISABLED

      See Also:
        Constant Field Values

    - #### RESTEASY_PATCH_FILTER_LEGACY

          static final String RESTEASY_PATCH_FILTER_LEGACY

      See Also:
        Constant Field Values

    - #### RESTEASY_STATISTICS_ENABLED

          static final String RESTEASY_STATISTICS_ENABLED

      See Also:
        Constant Field Values

    - #### RESTEASY_FAIL_FAST_ON_MULTIPLE_RESOURCES_MATCHING

          static final String RESTEASY_FAIL_FAST_ON_MULTIPLE_RESOURCES_MATCHING

      See Also:
        Constant Field Values

    - #### RESTEASY_MATCH_CACHE_ENABLED

          static final String RESTEASY_MATCH_CACHE_ENABLED

      See Also:
        Constant Field Values

    - #### RESTEASY_MATCH_CACHE_SIZE

          static final String RESTEASY_MATCH_CACHE_SIZE

      See Also:
        Constant Field Values

    - #### RESTEASY_PROXY_IMPLEMENT_ALL_INTERFACES

          static final String RESTEASY_PROXY_IMPLEMENT_ALL_INTERFACES

      See Also:
        Constant Field Values